Start another run in a session
POST
/automation/{id}/session/{sessionId}/run
Runs the workflow again against this open session. 409 session_closed once the session is closed. trigger_key is needed only when the workflow has more than one manual trigger.
Path Parameters
idstring
required·
Resource id
sessionIdstring
required·
Session id
Request Body
inputobject
trigger_keystring
curl -X POST 'https://api.elaichi.ai/automation/<id>/session/<sessionId>/run' \
-H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
-H 'Content-Type: application/json' \
-d '{"input":{},"trigger_key":"your_trigger_key"}'const body = {
"input": {},
"trigger_key": "your_trigger_key"
};
const response = await fetch('https://api.elaichi.ai/automation/<id>/session/<sessionId>/run', {
method: 'POST',
headers: {
'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
'Content-Type': 'application/json',
},
body: JSON.stringify(body),
});
const data = await response.json();
console.log(data);import os
import requests
url = "https://api.elaichi.ai/automation/<id>/session/<sessionId>/run"
headers = {
"Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
"Content-Type": "application/json",
}
payload = {
"input": {},
"trigger_key": "your_trigger_key"
}
response = requests.post(url, headers=headers, json=payload)
print(response.json())